[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Objects' (#rtl)

# TDosStream.Write

Write data from a buffer to the stream.

## Declaration

Source position: objects.pp line 320

`procedure TDosStream.Write(`
`var Buf;`
`Count: LongInt`
`); virtual;`

## Description

If the Stream is open and the stream status is stOK then Write will write Count bytes from Buf and place them in the stream.

For an example, see TStream.Read.

## Errors

In case of an error, Status is set to StWriteError, and ErrorInfo gets the OS specific error.

## See also

TStream.Write |  | Write a number of bytes to the stream.
TDosStream.Read |  | Read data from the stream to a buffer.

Documentation generated on: Feb 26 2014